Bug 109201 - Deep Rock Galactic: GPU Hang (Steam Play) (DXVK)
Summary: Deep Rock Galactic: GPU Hang (Steam Play) (DXVK)
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: 18.3
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-01 00:39 UTC by Alexander Vereeken
Modified: 2019-02-15 21:50 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
This Enemy cause the gpu hang (1.43 MB, image/png)
2019-01-01 21:42 UTC, Alexander Vereeken
Details
Comment 10 (2.33 KB, text/plain)
2019-01-09 17:06 UTC, Alexander Vereeken
Details
Fireball works in Dense Biozone (Video) (150.24 MB, video/x-matroska)
2019-01-24 21:20 UTC, Alexander Vereeken
Details
The Bug (Video) (8.65 MB, video/webm)
2019-02-08 16:23 UTC, Alexander Vereeken
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2019-01-01 00:39:27 UTC
At the missions where you have to turn off goals, the game starts stuttering - i only noticed this at arch linux. At other distros the picture is hanging completely & i needed to restart the system.

If you need logs then let me know what you need and how I can get it.

My System:

GPU: RX 570
CPU: FX 8350
Distro: Tested on Arch,Solus & Sabayon
Comment 1 Alexander Vereeken 2019-01-01 19:16:09 UTC
happends also on mesa-git
Comment 2 Alexander Vereeken 2019-01-01 21:42:12 UTC
Created attachment 142937 [details]
This Enemy cause the gpu hang
Comment 3 Timothy Arceri 2019-01-02 01:33:50 UTC
An apitrace [1] of the problem on arch would likely be helpful.

[1] https://github.com/apitrace/apitrace/wiki/Steam
Comment 4 Timothy Arceri 2019-01-02 01:35:56 UTC
(In reply to Timothy Arceri from comment #3)
> An apitrace [1] of the problem on arch would likely be helpful.
> 
> [1] https://github.com/apitrace/apitrace/wiki/Steam

Ignore that. I thought this was reported against radeonsi.
Comment 5 Alexander Vereeken 2019-01-02 11:22:36 UTC
Note: does not happen with AMD Vulkan Driver's
Comment 6 Alexander Vereeken 2019-01-08 21:41:36 UTC
Note 2: Does not happen if i set the texture quality to low.
Comment 7 Samuel Pitoiset 2019-01-09 09:19:22 UTC
I have the game but I don't know to reproduce, can you give more explanations please?
Comment 8 Alexander Vereeken 2019-01-09 16:06:18 UTC
(In reply to Alexander from comment #6)
> Note 2: Does not happen if i set the texture quality to low.

This is invalid
Comment 9 Alexander Vereeken 2019-01-09 16:11:39 UTC
(In reply to Samuel Pitoiset from comment #7)
> I have the game but I don't know to reproduce, can you give more
> explanations please?


First you accept a mission with the crosshair symbol . Then you free a target from the egg and if you try to keep distance on the target, he will try to shoot a fireball at you and the driver crashes
Comment 10 Samuel Pitoiset 2019-01-09 16:13:59 UTC
Can you attach the output of "R600_DEBUG=info glxgears" please?
Comment 11 Alexander Vereeken 2019-01-09 17:06:03 UTC
Created attachment 143041 [details]
Comment 10
Comment 12 Alexander Vereeken 2019-01-24 21:20:09 UTC
Created attachment 143229 [details]
Fireball works in Dense Biozone (Video)

I noticed that the gpu hang doesn't happen in the location "Dense Biozone".
Comment 13 Alexander Vereeken 2019-02-08 16:23:02 UTC
Created attachment 143337 [details]
The Bug (Video)
Comment 14 Samuel Pitoiset 2019-02-12 08:02:20 UTC
What mesa version are you using? Can you try with latest mesa (git) ?
We recently fixed an issue which might help you too.
Comment 15 Alexander Vereeken 2019-02-12 18:45:34 UTC
unfortunately still the same
Comment 16 Alexander Vereeken 2019-02-15 21:50:36 UTC
Ok it works now, the bug doesn't occur any more and it even works with Mesa 18.3.3, i used mesa 18.3.2 before.

Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.